# wxImage::HSVValue Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/image.h>`

## Detailed Description

A simple class which stores hue, saturation and value as doubles in the range 0.0-1.0.

## Public Member Functions

| HSVValue (double h=0.0, double s=0.0, double v=0.0)
| Constructor for HSVValue, an object that contains values for hue, saturation and value which represent the value of a color.

List of all members.

## Constructor & Destructor Documentation

wxImage::HSVValue::HSVValue | ( | double | h = `0.0`,
|  | double | s = `0.0`,
|  | double | v = `0.0` |
| ) |  |  |

Constructor for HSVValue, an object that contains values for hue, saturation and value which represent the value of a color.

It is used by wxImage::HSVtoRGB() and wxImage::RGBtoHSV(), which convert between HSV color space and RGB color space.

|  | [ top ]